fbpx
  • Otra manera de hacer consultoría.

Inicio » Tutoriales y novedades » Disponibilidad del parche: X3 2023 R2 (12.0.34) ¿Qué novedades trae?

Disponibilidad del parche: X3 2022 R1 (12.0.34) ¿Qué novedades trae?

Disponibilidad del parche: X3 2023 R2 (12.0.34) ¿Qué novedades trae?

Producto: Sage X3

Versión: V12

Fecha: Noviembre 2023

Disponibilidad del parche: X3 2023 R2 (12.0.34)

 
 

Los parches contienen las últimas actualizaciones para mejoras, estabilidad y rendimiento de su sistema, y se recomiendan para todos los clientes de Sage Enterprise Management V12. El ciclo de vida de la versión 12 es por actualización semestral. Cada actualización semestral tiene 6 meses de soporte en fase «Current», 12 meses en fase «Standard», y 6 meses de soporte en fase «Extended» (consulte el artículo de la base de conocimiento «Sage X3 Lifecycle Policy» para más detalle).

Desde la versión 2019 R5 (12.0.20) y superiores, los parches son acumulativos. La versión mínima requerida para aplicar este parche es 2019 R4 (12.0.19) Consulta Cumulative Patching para más detalle.

Asegúrate de revisar la sección Novedades de la Ayuda en línea y la Release Notes y las guías proporcionadas en Sage X3 technical help.

 

Para una nueva instalación con el archivo iso, existe un archivo zip en el directorio PATCH; es OBLIGATORIO instalarlo después de la instalación de la versión. Ejecute la instalación desde la función Actualizaciones del servidor de Syracuse (Administración > Actualización > Actualizaciones).

Es obligatoria la instalación de los siguientes componentes antes de la instalación del parche de aplicación:

  • Console 2.58.0
  • Adxadmin 96.1.206
  • Runtime 96.1.206
  • SyracuseServer 12.19.0
  • PrintServer 2.29.0

Componentes recomendados antes de la instalación del parche de aplicación:

  • VTWebServer 2.42.1

Otros productos:

  • atp 3.1.0.1_win
  • Asistente script ATP se proporcionará en breve.
  • X3 services 35.0.35 (New ADC server)
  • X3 Mobile Automation 2.0.2 (fichero APK para Mobile Automation – ADC)

PatchFinder:

  • Se proporcionará en breve.

Parche de aplicación (ver Nota1):

  • x3-patch-12.0.34.zip
  • documentación: x3-patch-documents-12.0.34.zip

Recuerda: puedes utilizar el punto de menú “Test actualización” para probar una actualización y comprobar si hay conflictos con sus personalizaciones. En todos los casos, es obligatorio:

  • Probar la actualización en una instancia de prueba.
  • Realizar una copia de seguridad de su aplicación antes de ejecutar la actualización.

También tienes disponible PatchFinder para ver el contenido de este parche, la última version estará disponible en breve.

 

NOTAS:

(1) Revisa la documentación del parche, que encontrarás en el archivo ZIP. Encontrarás las instrucciones de instalación y la lista de mejoras. Para obtener más información sobre las correcciones contenidas en todos los parches, incluido este, consulta nuestra utilidad Patchfinder estará disponible en breve.

(2) Sage recomienda que actualices a la última versión de Elastic Search certificada. La licencia de Elastic Search a partir de la v6.4 ha cambiado: Sage no entregará la configuración de Elastic Search en futuras comunicaciones. Los partners y clientes deberán descargar los archivos de configuración al implementar Sage X3. Puedes descargar la última versión de Elastic Search que está certificada con Sage X3 en www.elastic.co. Lee la documentación incluida para obtener más instrucciones y también consulta el artículo 99424 » Additional notes when upgrading ElasticSearch».

(3) Revisa el documento «Node.js web server recommendations» para configurar Syracuse.

(4) Por favor, lea el manual de instalación incluido en el archivo de instalación y regístrese en el curso de instalación Sage University Web Scheduling, antes de realizar la instalación.

(5) Mongo DB 4.4 requerimientos:

  • MongoDB 4.4 es solo compatible con Syracuse 12.14 o superior. Las versiones anteriores pueden permanecer con MongoDB 4.2.17.1
  • MongoDB 4.4 y superior no es compatible con Windows 2012 R2.  MongoDB 4.2.17.1 puede seguir utilizándose en este caso.
  • Las utilidades mongodump y mongorestore no se incluían con MongoDB 4.4.10, pero están incluidas por Sage a partir de 4.4.12. Las últimas herramientas se pueden descargar e instalar manualmente desde el paquete MongoDB Tools si es necesario.

 (6) Cuando utilizamos X3 Services, la versión y parche de X3 tiene que coincidir con la versión de Syracuse.

DESCARGA:

Descarga todos los cambios del parche en el siguiente PDF: Parche X3 2023 R1 (12.0.33) Cambios.pdf

Últimas entradas relacionadas